Farseer and XNA 3.1

Topics: Developer Forum, User Forum
Nov 11, 2009 at 4:34 AM

Hello,

my game uses 3.1 features (such as video, ...)

I cannot natively build farseer in 3.1 (it gives around 2000 errors related to #defines and specially to Vector2 confusion).

Is there any guide to build it on 3.1 or should I have to wait for 2.2 version of Farseer?

Nov 11, 2009 at 8:41 AM

I had a similar problem, if I remember rightly the fix was this:

In the farseer project properties, under the build tab, you need to add the build parameter "XNA".  You'll see lots of "#if XNA" scattered around the farseer code, that's why you need it.